- Qt 6.4
- Qt GUI
- C++ Classes
- Range
- Qt 6.4.2 Reference Documentation

# Range Struct

struct QPageRanges::Range

The QPageRanges::Range struct holds the `from` and `to` endpoints of a range. More...

- List of all members, including inherited members

## Public Functions

bool | contains(int pageNumber) const

## Public Variables

int | from
int | to

## Detailed Description

See also QPageRanges::toRangeList().

## Member Function Documentation

### bool Range::contains(int pageNumber) const

Returns `true` if pageNumber is within the interval `[from, to]`; otherwise returns `false`.

## Member Variable Documentation

### int Range::from

This variable holds the lower endpoint of the range

### int Range::to

This variable holds the upper endpoint of the range